from . import Command
from ..lang import flavor_text

command_descriptions = {
    "help": (
        flavor_text("help", fore="CYAN", style="BRIGHT")
        + " - print this message.\n"
        + "\tYou can put a command after "
        + flavor_text("help", fore="CYAN", style="BRIGHT")
        + " to show only information about that command."
        + "\n"
    ),
    "day": (
        flavor_text("day", fore="CYAN", style="BRIGHT")
        + flavor_text(" $x", fore="RED")
        + " - print timetable for "
        + flavor_text("$x", fore="RED")
        + " days from now."
        + "\n\tIf "
        + flavor_text("$x", fore="RED")
        + " is not specified "
        + flavor_text("$x", fore="RED")
        + "=0"
    ),
    "grade": (
        flavor_text("grade", fore="CYAN", style="BRIGHT")
        + flavor_text(" $x", fore="RED")
        + " or "
        + flavor_text("grade recent", fore="CYAN", style="BRIGHT")
        + flavor_text(" $x", fore="RED")
        + " - print grades for "
        + flavor_text("$x", fore="RED")
        + " last weeks."
        + "\n\tIf "
        + flavor_text("$x", fore="RED")
        + " is not specified "
        + flavor_text("$x", fore="RED")
        + "=1"
    )
}


class Help(Command):
    def parse(self, argv):
        if len(argv) >= 1:
            for arg in argv:
                if arg in command_descriptions.keys():
                    print(command_descriptions[arg])
                    print("\n")
        else:
            for desc in command_descriptions.values():
                print(desc)
                print("\n")
