from librusapi import Token
from librusapi.exceptions import LoginError


def login(username: str, password: str, config):
    """
    Gets user token and sets it for provided config.
    Returns None on failure and Config on success.
    Exits with an error when an unknown error occurs.
    """
    print("Logging in...")
    try:
        config.token = Token.get(username, password)
    except LoginError as ex:
        print(ex)
        return None
    except Exception as ex:
        print(ex)
        exit(1)
    else:
        try:
            config.write()
        except Exception as ex:
            print(ex)
            exit(1)
        return config
    return None
