from getpass import getpass, GetPassWarning


def ynq(prompt):
    """
    Asks a yes or no question, returns True when yes is chosen.
    """
    prompt = f"{prompt} [y/n]"
    x = input(prompt).lower()
    answers = {"y": True, "n": False, "yes": True, "no": False}
    while x not in answers:
        x = input(prompt).lower()
    return answers[x]


def pwd_prompt():
    """
    Asks for user's password.
    """
    try:
        pwd = getpass()
    except GetPassWarning as ex:
        print(ex)
        if ynq("Would you like to input your password raw?"):
            pwd = input("Password: ")
        else:
            exit(1)
    except Exception as ex:
        print(ex)
        exit(1)
    return pwd
