try:
    import colorama

    colorama.init()
    color_enabled = True
except ImportError:
    color_enabled = False


def flavor_text(sentence: str, fore="RESET", bg="RESET", style="NORMAL") -> str:
    if color_enabled:
        return (
            getattr(colorama.Fore, fore)
            + getattr(colorama.Back, bg)
            + getattr(colorama.Style, style)
            + sentence
            + colorama.Style.RESET_ALL
        )
    else:
        return sentence


def userin(sentence: str, fore="RESET", bg="RESET", style="NORMAL"):
    input(flavor_text(sentence, fore, bg, style))


def write(sentence: str, fore="RESET", bg="RESET", style="NORMAL"):
    print(flavor_text(sentence, fore, bg, style))
